function convertDay(timestamp) {

	// Create date.
	var time = new Date(0);
	time.setUTCSeconds(timestamp);

	// Format day of the week.
	var dayOfWeek = time.getDay();
	if ( dayOfWeek === 0 ) {
		dayOfWeek = 'SUN';
	} else if ( dayOfWeek === 1 ) {
		dayOfWeek = 'MON';
	} else if ( dayOfWeek === 2 ) {
		dayOfWeek = 'TUE';
	} else if ( dayOfWeek === 3 ) {
		dayOfWeek = 'WED';
	} else if ( dayOfWeek === 4 ) {
		dayOfWeek = 'THU';
	} else if ( dayOfWeek === 5 ) {
		dayOfWeek = 'FRI';
	} else if ( dayOfWeek === 6 ) {
		dayOfWeek = 'SAT';
	} else {
		dayOfWeek = '';
	}

	return dayOfWeek;

}

function convertTime(timestamp) {

	// Create date.
	var time = new Date(0);
	time.setUTCSeconds(timestamp);

	// Format hours.
	var hours = time.getHours();
	var ampm = time.getHours() < 12 ? 'AM' : 'PM';
	if ( hours > 12 ) {
		hours = hours - 12;
	}
	if ( hours == 0 ) {
		hours = 12;
	}

	// Format minutes.
	var minutes = time.getMinutes();
	if ( minutes < 10 ) {
		minutes = '0' + minutes;
	}

	var timeString = hours + ':' + minutes + ampm;

	return timeString;

}

function convertLocation(locationID) {

	if (locationID == 1) {
		return {'location': 'Main 1', 'room': 'Ballroom 1-2'};
	} else if (locationID === 2) {
		return {'location': 'Main 2', 'room': 'Batelle South'};
	} else if (locationID === 3) {
		return {'location': 'Movement', 'room': 'Ballroom 3'};
	} else if (locationID === 4) {
		return {'location': 'Panel 1', 'room': 'Taft A & B'};
	} else if (locationID === 5) {
		return {'location': 'Panel 2', 'room': 'Taft C & D'};
	} else if (locationID === 6) {
		return {'location': 'Panel 3', 'room': 'Union C-E'};
	} else if (locationID === 7) {
		return {'location': 'Panel 4', 'room': 'Garfield'};
	} else if (locationID === 8) {
		return {'location': 'Panel 5', 'room': 'Fayette'};
	} else if (locationID === 9) {
		return {'location': 'Autograph 1', 'room': 'Nationwide A'};
	} else if (locationID === 10) {
		return {'location': 'Autograph 2', 'room': 'Nationwide B'};
	} else if (locationID === 11) {
		return {'location': 'Video 1', 'room': 'Champaign'};
	} else if (locationID === 12) {
		return {'location': 'Video 2', 'room': 'Apod 103 & 104'};
	} else if (locationID === 13) {
		return {'location': 'Arts & Crafts', 'room': 'Cpod 214-215'};
	} else {
		return {'location': '', 'room': ''};
	}

}

function getFavorites() {

	// If favorites variable does not exist...
	if (localStorage.getItem('matsuricon2016Favorites') === null) {

		// Creath the variable
		localStorage.setItem('matsuricon2016Favorites', '');

	}

	var favorites = localStorage.getItem('matsuricon2016Favorites').replace(/^,/,'');

	return favorites.split(',').map( Number );

}